Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
2 replies Latest Post - ‏2013-04-25T08:34:18Z by ankit.gp.agarwal
SystemAdmin
SystemAdmin
262 Posts
ACCEPTED ANSWER

Pinned topic iSeriesAccess-5.4.0-1.6.x86_64.rpm installation problem in CentOS6

‏2012-03-07T22:15:58Z |
Hello IBM community!

I have recently begun working on an as/400 running iSeries 5v4. In an effort to create some DB2 monitoring solutions, I am attempting to install the iSeriesAccess-5.4.0-1.6.x86_64.rpm on a centos 6 virtual machine to leverage the ODBC drivers. I have installed unixODBC, unixODBC-devel, and pyodbc, but the following error is returned when trying to rpm -ivh the package:
sudo rpm -ivh iSeriesAccess-5.4.0-1.6.x86_64.rpm
error: Failed dependencies:
libodbcinst.so.1()(64bit) is needed by iSeriesAccess-5.4.0-1.6.x86_64
libodbc.so.1()(64bit) is needed by iSeriesAccess-5.4.0-1.6.x86_64

Now I was able to locate files libodbcinst.so.2 and libodbc.so.2 in /usr/lib64, so I tried creating a symlink for these files in both /usr/lib64 and /lib64, but the rpm installer still throws the same error.

Has anyone been able to get this to work in cent6? Any pointers?

Thank you.
Updated on 2012-03-13T09:44:08Z at 2012-03-13T09:44:08Z by ITA003
  • ITA003
    ITA003
    1 Post
    ACCEPTED ANSWER

    Re: iSeriesAccess-5.4.0-1.6.x86_64.rpm installation problem in CentOS6

    ‏2012-03-13T09:44:08Z  in response to SystemAdmin
    Hi,
    I solved with the following steps;

    rpm -ivh iSeriesAccess-7.1.0-1.0.x86_64.rpm --nodeps
    cd /usr/lib64
    ln libodbcinst.so.2 libodbcinst.so.1
    ln libodbc.so.2 libodbc.so.1

    But I'm waiting a new release from IBM... is the better solution.
  • ankit.gp.agarwal
    ankit.gp.agarwal
    1 Post
    ACCEPTED ANSWER

    Re: iSeriesAccess-5.4.0-1.6.x86_64.rpm installation problem in CentOS6

    ‏2013-04-25T08:34:18Z  in response to SystemAdmin

    Hi,

    I want to install iSeriesAccess rpm on RHEL 6.3 64 Bit server. I have searched but didn't find proper rpm. I have tried with iSeriesAccess-5.4.0-1.4.x86_64.rpm but getting following errors :

     

    error: Failed dependencies:
            libodbcinst.so.1()(64bit) is needed by iSeriesAccess-5.4.0-1.4.x86_64
            libodbc.so.1()(64bit) is needed by iSeriesAccess-5.4.0-1.4.x86_64
     

     

    Can somebody help with this issue.

     

    Thanks